XcodePlugin (Gradle API 9.1.0)
Description: declaration: package: org.gradle.ide.xcode.plugins, class: XcodePlugin

Package org.gradle.ide.xcode.plugins

# Class XcodePlugin

java.lang.Object
org.gradle.plugins.ide.internal.IdePlugin
org.gradle.ide.xcode.plugins.XcodePlugin

All Implemented Interfaces:
  `Plugin<Project>`

public abstract class XcodePlugin extends org.gradle.plugins.ide.internal.IdePlugin
A plugin for creating a XCode project for a gradle project.

Since:
  4.2

- ## Field Summary

  ### Fields inherited from class org.gradle.plugins.ide.internal.IdePlugin

  `project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XcodePlugin(org.gradle.ide.xcode.internal.xcodeproj.GidGenerator gidGenerator, ObjectFactory objectFactory, org.gradle.plugins.ide.internal.IdeArtifactRegistry artifactRegistry)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getLifecycleTaskName()`
  `protected void`
  `onApply(Project project)`

  ### Methods inherited from class org.gradle.plugins.ide.internal.IdePlugin

  `addWorker, addWorker, addWorker, addWorker, addWorkspace, apply, cleanName, dependsOn, dependsOn, getCleanTask, getExecOperations, getLifecycleTask, isRoot, toGradleCommand, withDescription`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XcodePlugin

    @Inject public XcodePlugin(org.gradle.ide.xcode.internal.xcodeproj.GidGenerator gidGenerator, ObjectFactory objectFactory, org.gradle.plugins.ide.internal.IdeArtifactRegistry artifactRegistry)

- ## Method Details

  - ### getLifecycleTaskName

    protected String getLifecycleTaskName()
    Specified by:
      `getLifecycleTaskName` in class `org.gradle.plugins.ide.internal.IdePlugin`

  - ### onApply

    protected void onApply(Project project)
    Overrides:
      `onApply` in class `org.gradle.plugins.ide.internal.IdePlugin`